Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Participant.Property

    java.lang.Object
      java.lang.Enum<Participant.Property>
          com.skype.api.Participant.Property

All Implemented Interfaces:
  EnumConverting, PropertyEnumConverting, java.io.Serializable, java.lang.Comparable<Participant.Property>

Enclosing class:
  Participant

    public static enum Participant.Property

extends java.lang.Enum<Participant.Property>
implements PropertyEnumConverting

Properties of the Participant class

Enum Constant Summary
`P_ADDER`
`P_CONVERSATION`
`P_DEBUG_INFO`
`P_IDENTITY`
`P_LAST_LEAVEREASON`
`P_LAST_VOICE_ERROR`
`P_LIVE_COUNTRY`
`P_LIVE_FWD_IDENTITIES`
`P_LIVE_IDENTITY`
`P_LIVE_PRICE_FOR_ME`
`P_LIVE_START_TIMESTAMP`
`P_LIVE_TYPE`
`P_QUALITY_PROBLEMS`
`P_RANK`
`P_REQUESTED_RANK`
`P_SOUND_LEVEL`
`P_TEXT_STATUS`
`P_TRANSFERRED_BY`
`P_TRANSFERRED_TO`
`P_UNKNOWN`
`P_VIDEO_STATUS`
`P_VOICE_STATUS`

Field Summary
`static Participant.Property[]` | `mget_info_mreq`
`static int` | `P_ADDER_VALUE`
`static int` | `P_CONVERSATION_VALUE`
`static int` | `P_DEBUG_INFO_VALUE`
`static int` | `P_IDENTITY_VALUE`
`static int` | `P_LAST_LEAVEREASON_VALUE`
`static int` | `P_LAST_VOICE_ERROR_VALUE`
`static int` | `P_LIVE_COUNTRY_VALUE`
`static int` | `P_LIVE_FWD_IDENTITIES_VALUE`
`static int` | `P_LIVE_IDENTITY_VALUE`
`static int` | `P_LIVE_PRICE_FOR_ME_VALUE`
`static int` | `P_LIVE_START_TIMESTAMP_VALUE`
`static int` | `P_LIVE_TYPE_VALUE`
`static int` | `P_QUALITY_PROBLEMS_VALUE`
`static int` | `P_RANK_VALUE`
`static int` | `P_REQUESTED_RANK_VALUE`
`static int` | `P_SOUND_LEVEL_VALUE`
`static int` | `P_TEXT_STATUS_VALUE`
`static int` | `P_TRANSFERRED_BY_VALUE`
`static int` | `P_TRANSFERRED_TO_VALUE`
`static int` | `P_VIDEO_STATUS_VALUE`
`static int` | `P_VOICE_STATUS_VALUE`

Method Summary
`EnumConverting` | `convert(int from)`
`static Participant.Property` | `get(int from)`
`EnumConverting[]` | `getArray(int size)`
`EnumConverting` | `getDefault()`
`EnumConverting` | `getEnumConverter()`
`int` | `getId()`
`int` | `getIdx()`
`int` | `getModuleId()`
`byte[]` | `getRequest()`
`boolean` | `isCached()`
`static Participant.Property` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Participant.Property[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### P_UNKNOWN

    public static final Participant.Property P_UNKNOWN

### P_CONVERSATION

    public static final Participant.Property P_CONVERSATION

### P_IDENTITY

    public static final Participant.Property P_IDENTITY

### P_RANK

    public static final Participant.Property P_RANK

### P_REQUESTED_RANK

    public static final Participant.Property P_REQUESTED_RANK

### P_TEXT_STATUS

    public static final Participant.Property P_TEXT_STATUS

### P_VOICE_STATUS

    public static final Participant.Property P_VOICE_STATUS

### P_VIDEO_STATUS

    public static final Participant.Property P_VIDEO_STATUS

### P_LIVE_IDENTITY

    public static final Participant.Property P_LIVE_IDENTITY

### P_LIVE_PRICE_FOR_ME

    public static final Participant.Property P_LIVE_PRICE_FOR_ME

### P_LIVE_FWD_IDENTITIES

    public static final Participant.Property P_LIVE_FWD_IDENTITIES

### P_LIVE_START_TIMESTAMP

    public static final Participant.Property P_LIVE_START_TIMESTAMP

### P_SOUND_LEVEL

    public static final Participant.Property P_SOUND_LEVEL

### P_DEBUG_INFO

    public static final Participant.Property P_DEBUG_INFO

### P_LAST_VOICE_ERROR

    public static final Participant.Property P_LAST_VOICE_ERROR

### P_QUALITY_PROBLEMS

    public static final Participant.Property P_QUALITY_PROBLEMS

### P_LIVE_TYPE

    public static final Participant.Property P_LIVE_TYPE

### P_LIVE_COUNTRY

    public static final Participant.Property P_LIVE_COUNTRY

### P_TRANSFERRED_BY

    public static final Participant.Property P_TRANSFERRED_BY

### P_TRANSFERRED_TO

    public static final Participant.Property P_TRANSFERRED_TO

### P_ADDER

    public static final Participant.Property P_ADDER

### P_LAST_LEAVEREASON

    public static final Participant.Property P_LAST_LEAVEREASON

Field Detail

### P_CONVERSATION_VALUE

    public static final int P_CONVERSATION_VALUE

See Also:
  Constant Field Values

### P_IDENTITY_VALUE

    public static final int P_IDENTITY_VALUE

See Also:
  Constant Field Values

### P_RANK_VALUE

    public static final int P_RANK_VALUE

See Also:
  Constant Field Values

### P_REQUESTED_RANK_VALUE

    public static final int P_REQUESTED_RANK_VALUE

See Also:
  Constant Field Values

### P_TEXT_STATUS_VALUE

    public static final int P_TEXT_STATUS_VALUE

See Also:
  Constant Field Values

### P_VOICE_STATUS_VALUE

    public static final int P_VOICE_STATUS_VALUE

See Also:
  Constant Field Values

### P_VIDEO_STATUS_VALUE

    public static final int P_VIDEO_STATUS_VALUE

See Also:
  Constant Field Values

### P_LIVE_IDENTITY_VALUE

    public static final int P_LIVE_IDENTITY_VALUE

See Also:
  Constant Field Values

### P_LIVE_PRICE_FOR_ME_VALUE

    public static final int P_LIVE_PRICE_FOR_ME_VALUE

See Also:
  Constant Field Values

### P_LIVE_FWD_IDENTITIES_VALUE

    public static final int P_LIVE_FWD_IDENTITIES_VALUE

See Also:
  Constant Field Values

### P_LIVE_START_TIMESTAMP_VALUE

    public static final int P_LIVE_START_TIMESTAMP_VALUE

See Also:
  Constant Field Values

### P_SOUND_LEVEL_VALUE

    public static final int P_SOUND_LEVEL_VALUE

See Also:
  Constant Field Values

### P_DEBUG_INFO_VALUE

    public static final int P_DEBUG_INFO_VALUE

See Also:
  Constant Field Values

### P_LAST_VOICE_ERROR_VALUE

    public static final int P_LAST_VOICE_ERROR_VALUE

See Also:
  Constant Field Values

### P_QUALITY_PROBLEMS_VALUE

    public static final int P_QUALITY_PROBLEMS_VALUE

See Also:
  Constant Field Values

### P_LIVE_TYPE_VALUE

    public static final int P_LIVE_TYPE_VALUE

See Also:
  Constant Field Values

### P_LIVE_COUNTRY_VALUE

    public static final int P_LIVE_COUNTRY_VALUE

See Also:
  Constant Field Values

### P_TRANSFERRED_BY_VALUE

    public static final int P_TRANSFERRED_BY_VALUE

See Also:
  Constant Field Values

### P_TRANSFERRED_TO_VALUE

    public static final int P_TRANSFERRED_TO_VALUE

See Also:
  Constant Field Values

### P_ADDER_VALUE

    public static final int P_ADDER_VALUE

See Also:
  Constant Field Values

### P_LAST_LEAVEREASON_VALUE

    public static final int P_LAST_LEAVEREASON_VALUE

See Also:
  Constant Field Values

### mget_info_mreq

    public static final Participant.Property[] mget_info_mreq

Method Detail

### values

    public static Participant.Property[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Participant.Property c : Participant.Property.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Participant.Property valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### isCached

    public boolean isCached()

  Specified by:
    `isCached` in interface `PropertyEnumConverting`

### getIdx

    public int getIdx()

  Specified by:
    `getIdx` in interface `PropertyEnumConverting`

### getId

    public int getId()

  Specified by:
    `getId` in interface `EnumConverting`

### getRequest

    public byte[] getRequest()

  Specified by:
    `getRequest` in interface `PropertyEnumConverting`

### getDefault

    public EnumConverting getDefault()

  Specified by:
    `getDefault` in interface `EnumConverting`

### getModuleId

    public int getModuleId()

  Specified by:
    `getModuleId` in interface `PropertyEnumConverting`

### getEnumConverter

    public EnumConverting getEnumConverter()

  Specified by:
    `getEnumConverter` in interface `PropertyEnumConverting`

### convert

    public EnumConverting convert(int from)

  Specified by:
    `convert` in interface `EnumConverting`

### getArray

    public EnumConverting[] getArray(int size)

  Specified by:
    `getArray` in interface `EnumConverting`

### get

    public static Participant.Property get(int from)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.